package ru.yandex.webmaster3.storage.originaltext;

import com.fasterxml.jackson.annotation.JsonCreator;
import org.joda.time.DateTime;

/**
 * @author aherman
 */
public class OriginalText {
    private final String textId;
    private final String text;
    private final DateTime date;

    @JsonCreator
    public OriginalText(String textId, String text, DateTime date) {
        this.textId = textId;
        this.text = text;
        this.date = date;
    }

    public String getTextId() {
        return textId;
    }

    public String getText() {
        return text;
    }

    public DateTime getDate() {
        return date;
    }
}
